library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity EnvelopeGenerator is
	port (
		Clk      : in std_logic;
		Reset    : in std_logic;
		EnableIn : in std_logic;
		KeyIn    : in std_logic;
		ValueOut : out std_logic_vector(31 downto 0)    -- valores entre 0 y 1 en formato de punto fijo Q16.16
    );
end entity;

architecture RTL of EnvelopeGenerator is
begin
	-- por ahora no genera una envolvente natural, sino un escalón
	ValueOut <= std_logic_vector(to_signed(65536, 32)) when (KeyIn = '1') else
	            std_logic_vector(to_signed(0, 32));
end architecture;
